Loading...
Searching...
No Matches
gtsam::AcceleratingScenario Class Reference

## Detailed Description

Accelerating from an arbitrary initial state, with optional rotation.

Inheritance diagram for gtsam::AcceleratingScenario:

## Public Member Functions

| AcceleratingScenario (const Rot3 &nRb, const Point3 &p0, const Vector3 &v0, const Vector3 &a_n, const Vector3 &omega_b=Vector3::Zero())
| Construct scenario with constant acceleration in navigation frame and optional angular velocity in body: rotating while translating...
Pose3 | pose (double t) const override
| pose at time t
Vector3 | omega_b (double t) const override
| angular velocity in body frame
Vector3 | velocity_n (double t) const override
| velocity at time t, in nav frame
Vector3 | acceleration_n (double t) const override
| acceleration in nav frame
Public Member Functions inherited from gtsam::Scenario
virtual | ~Scenario ()
| virtual destructor
Rot3 | rotation (double t) const
NavState | navState (double t) const
Vector3 | velocity_b (double t) const
Vector3 | acceleration_b (double t) const

## Member Function Documentation

## acceleration_n()

Vector3 gtsam::AcceleratingScenario::acceleration_n | ( | double | t | ) | const

inline override virtual

acceleration in nav frame

Implements gtsam::Scenario.

## omega_b()

Vector3 gtsam::AcceleratingScenario::omega_b | ( | double | t | ) | const

inline override virtual

angular velocity in body frame

Implements gtsam::Scenario.

## pose()

Pose3 gtsam::AcceleratingScenario::pose | ( | double | t | ) | const

inline override virtual

pose at time t

Implements gtsam::Scenario.

## velocity_n()

Vector3 gtsam::AcceleratingScenario::velocity_n | ( | double | t | ) | const

inline override virtual

velocity at time t, in nav frame

Implements gtsam::Scenario.

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/Scenario.h